﻿.MessageApp {
    background-color: beige;
    color: red;
    position: fixed;
    box-shadow: 0 8px 40px -6px black;
    box-sizing: border-box;
    max-width: 360px;
    border-radius: 30px;
    word-wrap: anywhere;
    z-index:3;
}
.MessageApp:empty {
    text-align: center;
    background-color: beige;
    height: auto !important;
    border: none;
}
.MessageApp:not(:empty) {
    display: inline-block;
    width: 100%;
    text-align: center;
    background-color: beige;
    padding: 10px 0px 10px 0px;
    margin-bottom: 8px;
    transform: translate(-50%, 10%);
    }
.CloseMesaggeAlert{
    border-radius: 50%;
    margin-top: 25px;
    border: 1px solid silver;
    cursor: pointer;
    display: inline-block;
    padding: 10px;
    width: 20px;}
.Container { padding: 10px; max-width:960px; width:100%; margin:0 auto; box-sizing:border-box;}
.SubContainer { width: 100%; margin: 0 auto; padding: 10px; box-sizing: border-box; }
.Center { text-align: center; }

.Titulo { font-size: 2em; font-weight: normal; }
.SubTitulo { font-size: 1.7em; }
.SubTitulo2 { font-size: 1.5em; }
.SubTitulo3 { font-size: 1.3em; }

.SubTituloBold { font-weight: bold; font-size: 1.7em; }
.SubTituloBold2 { font-weight: bold; font-size: 1.5em; }
.SubTituloBold3 { font-weight: bold; font-size: 1.3em; }

/*.DivSearch { max-width: 660px; width: 100%; border-radius: 20px; margin: 0 auto; background-color: rgb(240, 240, 240); }*/
/*.InputSearch{width:100%; border:none; display:inline-block; vertical-align:central}
.InputSearch:focus{outline:none;}
.ButtonSearch{width:auto; background-color:transparent;}
.ButtonSearch:hover {background-color: transparent; }
.ImgSearch { width: 20px; display: inline-block; vertical-align: central; }*/

.DivSearch { width: 100%; border-radius: 20px; margin: 0 auto; background-color: rgb(240, 240, 240); text-align: center;
    .TableSearch { max-width: 660px; width:100%; }
    .InputSearch { max-width: 660px; width: 100%; border: none; display: inline-block; vertical-align: central }
    .InputSearch:focus { outline: none; }
    .ButtonSearch { width: auto; background-color: transparent; display: inline-block;
        .ImgSearch { width: 20px; display: inline-block; vertical-align: central; }
    }
    .ButtonSearch:hover { background-color: transparent; }
}

.ContainerTypeColumn{max-width:360px; width:100%; text-align:left; background-color:rgb(245,245,245); padding:20px; box-sizing:border-box; display:inline-block; vertical-align:top; height:720px; margin-top:5px;}
.ContainerTypeColumn > input[type=text], input[type=number], input[type=email], input[type=password] { width: 100% }
.ContainerTypeColumn > span { display:block; width: 100% }
.ContainerTypeColumn > textarea { width: 100%; max-height:100px; }
.ContainerTypeColumn > select { width: 100%; }

.ContainerTypeColumnAddHeight { height: 127px; }
@media screen (min-width: 360px) {
    .ContainerTypeColumnAddHeight { height: auto; }
}

.Tags{color:rgb(0,148,214); margin:20px 0px 5px 10px;}

.ContainerTypeColumnDynamicHeight { max-width: 360px; width: 100%; text-align: left; background-color: rgb(245,245,245); padding: 20px; box-sizing: border-box; display: inline-block; vertical-align: top; margin-top: 5px; border-radius:20px;
}
    .ContainerTypeColumnDynamicHeight > input[type=text], input[type=number], input[type=email], input[type=password] { width: 100% }


.ImgPhotoContainer { width: 64px; height: 64px; border-radius: 50%; background-color: white; display: inline-block; padding: 5px; overflow: hidden; }
    .ImgPhotoContainer > img { width: 64px; height: 64px; box-sizing: border-box; object-fit: cover; object-position: center; border-radius: 50%; }

.ImageButtonNotifica { width: auto; background-color: transparent; vertical-align: middle; }
.ImageButtonNotifica:hover { background-color: rgb(245,245,245) }
.ImageButtonNotifica > span { vertical-align: top; text-align: center; display: block; position: absolute; margin-top: -10px; background-color: red; color: white; border-radius: 50%; padding: 3px; width: 20px; }
.ImageButtonNotifica > span:empty { display: none; }
.ImageButtonNotifica > img { width: 36px; }



.InWait { position: fixed; /*left: 50%; margin-left: -64px;*/ display: none; width: 100%; text-align: center; }

.THResalta{background-color:orangered; color:white;}

@media (max-width: 745px) {
    .ContainerTypeColumn { max-width:initial; width: 100%; height:auto; }
}

.TablePC {}
.TableMovil { display: none; }
@media (max-width: 900px) {
    .TablePC { display: none; }
    .TableMovil { display: table; width: 100%; }
}

.IconoLinkHorizontal{display:contents;}
.IconoLinkHorizontal:hover { background-color: transparent; }

.Icons{width:28px; height:28px; vertical-align:middle;}
.Icons:hover{opacity:0.4;}